《小白学编程2024寒假特惠季》已经开课了，第一讲是计算机历史虚拟游，大家不需要动手操作。从第二讲开始，每一节课都会有很多的动手实践。因此，大家一定要准备好试验环境，这样才可以与老师和其他同学一起进入到代码的世界。

请大家在第二讲上课前做好以下环境准备工作，执行安装步骤时需要先连接互联网（**可能需要 VPN**）。

我们默认支持的试验环境是幽兰代码本（https://www.nanocode.cn/#/yl/index）。

对于目前没有幽兰代码本的同学，可以尝试使用：
- 安装 Windows 10/11 操作系统的PC
- 苹果公司的 MacBook

## 一. 使用幽兰代码本

因为幽兰代码本已经提前预装好开发环境，所以使用幽兰代码本的同学不需要任何准备工作（这也是推荐大家使用幽兰本的原因）。

## 二. 在 Windows下搭建环境
> MSYS2（Minimal SYStem 2）是一个为 Windows 提供 GNU 和类 Unix 工具的编译环境，它基于 Cygwin，并且旨在提供一个精简的 bash shell、自动包管理器和编译器工具链。

使用 Windows 的同学可以按照下面的操作步骤安装。

1. 首先点击下载安装包 [msys2-x86_64-20240113.exe](https://github.com/msys2/msys2-installer/releases/download/2024-01-13/msys2-x86_64-20240113.exe "msys2-x86_64-20240113.exe")；

2. 下载完成后双击运行安装包，如下图所示（在 Windows 11 中，系统可能阻止其运行，这时点击详细信息，就会出现“继续运行”按钮）：

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_748f5f303adbf12cb6935b3940c93fed_r.png)

一路点击下一步即可。出现下图所示信息，**MSYS2** 安装完成。

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_2fdac2f78b1fbe827be4a4c828445dbe_r.PNG)

3. 现在 **MSYS2** 已准备就绪，**UCRT64** 环境的终端将自动启动，如下图所示：

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_374441085fb6ead4f296d0921fc7709c_r.png)

关闭后要重新启动的话，到**开始**里找到 MSYS2 UCRT64。

4. 安装 **mingw-w64 GCC** 等依赖。在前面打开的 **MSYS2 UCRT64** 里面，输入下面命令安装

```bash
pacman -S mingw-w64-ucrt-x86_64-gcc vim cmake gdb
```
终端窗口将显示如下输出：

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_c41069e814858e3fb4711ef12cfb9abe_r.png)

输入 y，并按“**Enter**”继续。稍等片刻，出现类似下面的信息，我们的 Windows 环境搭建就完成啦！

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_99158d68a17837451ddf37efaf199afe_r.png)

小提示：可以创建桌面链接
点击 Windows **开始**，在**最近添加**中找到 **MSYS2 UCRT64**，右击选择**更多**，然后点**打开文件位置**，如下图所示：

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_e03285691ebdf2ebf90928b965f2db37_r.png)

再次点击 **MSYS2 UCRT64**，选择**发送到**，然后再选择**桌面快捷方式**，如下图所示，以后我们就可以在桌面快速找到它了，以后老师上课时候我们就用这个软件。

![](https://www.nanocode.cn/wiki/uploads/sgs/images/m_b64b28e0e498d2e497bdd01e180bcfe7_r.png)

## 三. 在 Mac OS 下搭建环境
> Homebrew 是 MacOS（或 Linux）的软件包管理器，通过它，我们可以方便地对 Mac 上的各种应用软件进行管理，例如：安装、更新、查看、搜索、卸载等。

1. 使用科大源安装 **Homebrew**。首先在 Mac 中搜索**终端**打开**终端（Terminal）**，然后输入下面命令设置环境变量：

```bash
export HOMEBREW_BREW_GIT_REMOTE="https://mirrors.ustc.edu.cn/brew.git"
export HOMEBREW_CORE_GIT_REMOTE="https://mirrors.ustc.edu.cn/homebrew-core.git"
export HOMEBREW_BOTTLE_DOMAIN="https://mirrors.ustc.edu.cn/homebrew-bottles"
export HOMEBREW_API_DOMAIN="https://mirrors.ustc.edu.cn/homebrew-bottles/api"
```
之后在命令行终端中输入下面命令， 安装 **Homebrew** 脚本：

```bash
/bin/bash -c "$(curl -fsSL https://github.com/Homebrew/install/raw/HEAD/install.sh)"
```
**备注**

初次安装 **Homebrew** 时，如果无法成功下载上面的安装脚本， 可以使用下面中科大提供的安装脚本文件：

```bash
/bin/bash -c "$(curl -fsSL https://mirrors.ustc.edu.cn/misc/brew-install.sh)"
```
2. 输入下面命令，安装 gcc 等依赖。

```bash
brew install gcc g++ cmake vim gdb
```